*** ./Makefile.OSR6.00 Sun May 29 09:22:11 2005
--- ./Makefile.OSR6 Sun May 29 09:30:58 2005
***************
*** 0 ****
--- 1,82 ----
+ #
+ # Makefile for antiword (Solaris version)
+ #
+ # Original version by: Gary Mills <mills@cc.UManitoba.CA>
+ #
+ 
+ CC	= cc
+ LD	= cc
+ INSTALL	= /usr/gnu/bin/install
+ 
+ # must be equal to DEBUG or NDEBUG
+ DB	= NDEBUG
+ # Optimization: -O<n> or debugging: -g
+ OPT	= -O2
+ 
+ LDLIBS	=
+ 
+ CFLAGS	= $(OPT) -D$(DB)
+ LDFLAGS	=
+ 
+ OBJS	=\
+ 	main_u.o asc85enc.o blocklist.o chartrans.o datalist.o depot.o\
+ 	dib2eps.o fail.o finddata.o findtext.o fmt_text.o fontlist.o fonts.o\
+ 	fonts_u.o imgexam.o imgtrans.o jpeg2eps.o listlist.o misc.o notes.o\
+ 	options.o out2window.o output.o pdf.o pictlist.o png2eps.o postscript.o\
+ 	prop0.o prop2.o prop6.o prop8.o properties.o propmod.o rowlist.o\
+ 	sectlist.o stylelist.o stylesheet.o summary.o tabstop.o text.o unix.o\
+ 	utf8.o word2text.o worddos.o wordlib.o wordmac.o wordole.o wordwin.o\
+ 	xmalloc.o xml.o
+ 
+ PROGS = antiword kantiword
+ 
+ LOCAL_INSTALL_DIR = $(HOME)/bin
+ LOCAL_RESOURCES_DIR = $(HOME)/.antiword
+ 
+ GLOBAL_INSTALL_DIR = /usr/bin
+ GLOBAL_RESOURCES_DIR = /usr/share/antiword
+ MAN_DIR = /usr/man/man1
+ 
+ all:		$(PROGS)
+ 
+ local_install:	all
+ 	mkdir -p $(LOCAL_INSTALL_DIR)
+ 	cp -pf $(PROGS) $(LOCAL_INSTALL_DIR)
+ 	mkdir -p $(LOCAL_RESOURCES_DIR)
+ 	cp -pf Resources/* $(LOCAL_RESOURCES_DIR)
+ 
+ # NOTE: you must be root to do this
+ install:	all
+ 	$(INSTALL) -c -o bin -g bin -m 755 $(PROGS) $(GLOBAL_INSTALL_DIR)
+ 	$(INSTALL) -c -o bin -g bin -m 644 Docs/antiword.1 $(MAN_DIR)
+ 	$(INSTALL) -d -o bin -g bin -m 755 $(GLOBAL_RESOURCES_DIR)
+ 	$(INSTALL) -c -o bin -g bin -m 644 Resources/* $(GLOBAL_RESOURCES_DIR)
+ 
+ clean:
+ 	rm -f $(OBJS)
+ 	rm -f $(PROGS)
+ 
+ antiword:	$(OBJS)
+ 	@rm -f $@
+ 	$(LD) $(LDFLAGS) $(OBJS) $(LDLIBS) -o $@
+ 	@chmod 750 $@
+ 
+ kantiword:	Unix-only/KDE2-only/kantiword.sh
+ 	@rm -f $@
+ 	echo "#!/bin/sh" > $@
+ 	cat $? >> $@
+ 	@chmod 750 $@
+ 
+ .c.o:
+ 	$(CC) $(CFLAGS) -c $<
+ 
+ main_u.o:	version.h
+ postscript.o:	version.h
+ pdf.o:		version.h
+ fonts_u.o:	fontinfo.h
+ 
+ fontinfo.h:	Unix-only/fontinfo.h
+ 	cp -rp $? $@
+ 
+ Unix-only/fontinfo.h:	Unix-only/fontinfo.pl
+ 	Unix-only/fontinfo.pl > Unix-only/fontinfo.h
*** ./Build-OSR6.00 Sun May 29 09:23:03 2005
--- ./Build-OSR6 Sun May 29 09:22:58 2005
***************
*** 0 ****
--- 1,9 ----
+ #!/bin/sh
+ 
+ rm -f Makefile
+ ln -s Makefile.OSR6 Makefile
+ 
+ MOUT=mout
+ [ "$1" ] && MOUT=mout-$1
+ [ -f $MOUT ] && mv $MOUT $MOUT-prev
+ make 2>&1 | tee $MOUT
